/*
Theme Name: Ado&ccedil;&atilde;o de Animais da Prefeitura de Jundia&iacute; 5.0
Theme URI: https://jundiai.sp.gov.br/adocaodeanimais/
Author: CIJUN
Author URI: https://cijun.sp.gov.br/
Template: prefeituradejundiai-capa-5.0
Description: Ado&ccedil;&atilde;o de Animais do portal da Prefeitura de Jundia&iacute;
Version: 5.0
*/

/* ----- ELEMENTOS BÁSICOS ------------------------------------------------------ */

body {
	background-color: #E7E7E7;
	height: 100%;
}

/* ----- SIDEBAR ---------------------------------------------------------------- */

#sidebar-animais {
	margin-bottom: 40px;
	clear: both;
}

/* ----- MENU ------------------------------------------------------------------- */

.menu-animais-container {
	max-width: 600px;
}

#menu-animais {
    list-style: none;
    margin: 0;
}

#menu-animais li {
	width: 48%;
	border: none !important;
	margin: 0 1%;
	float: left;
	display: inline;
}

#menu-animais a:link,
#menu-animais a:visited {
	background: #70be43;
	color: #000;
	border-radius: 4px;
	border-bottom: 1px solid #EEE;
	padding: 15px;
	display: block;
	font-size: 18px;
	font-weight: 600;
	text-decoration: none;
	text-align: left;
}

.contraste #menu-animais a:link,
.contraste #menu-animais a:visited {
	background-color: #E1FE0A;
	border-color: transparent;
}

#menu-animais a:hover,
#menu-animais a:active {
	background-color: #003371;
	color: #FFF;
	text-decoration: none;
}

.contraste #menu-animais a:hover,
.contraste #menu-animais a:active {
	background-color: #E1FE0A;
	color: #000;
	border-color: #E1FE0A;
}

/* ícones no menu */

#menu-animais .cachorros a,
#menu-animais .gatos a {
	background-size: 20px 20px;
	background-repeat: no-repeat;
	background-position: 15px 15px;
	padding-left: 45px;
}

#menu-animais .cachorros a {
	background-image: url(//src.cijun.sp.gov.br/img/media/filled-version/PNG/64-pet/24px/pet-dog-walk.png);
}	

#menu-animais .gatos a {
	background-image: url(//src.cijun.sp.gov.br/img/media/filled-version/PNG/64-pet/24px/pet-cat.png);
}

@media only screen and (min-width: 600px) {

	#menu-animais .cachorros a::after,
	#menu-animais .gatos a::after {
		content: " para adoção";
	}

}

/* ----- CONTEÚDO --------------------------------------------------------------- */

.animal, /* single */
.animal-lista /* index */ { 
	background: #FFF;
	border: 1px solid #CCC;
	border-radius: 4px;
	box-shadow: 2px 2px 10px 0px rgba(0, 0, 0, 0.3);
}

.contraste .animal,
.contraste .animal-lista {
	background: transparent;
	color: #fff;
	border-color: #fff;
}

.animal {
	padding-bottom: 20px;
}

.animais-titulo {
	margin: 0 10px 20px;
	font-size: 36px;
	font-weight: 600;
}

.animal-lista {
	margin: 10px 10px 20px;
}

.animal-lista a:link,
.animal-lista a:visited {
	text-decoration: none;
}

.animal .wp-post-image,
.animal-lista .wp-post-image {
	width: 100%;
	height: auto;
	margin: 0 auto;
	
	-webkit-border-top-right-radius: 4px;
	-webkit-border-top-left-radius:  4px;
	-moz-border-radius-topright:     4px;
	-moz-border-radius-topleft:      4px;
	border-top-right-radius:         4px;
	border-top-left-radius:          4px;
}

.animal-lista .titulo-lista {
	margin-top: 0;
	padding: 15px 15px 0;
	font-weight: 600;
	font-size: 24px;
}

.animal .descricao-animal,
.animal-lista .descricao-lista {
	padding: 10px 10px 0;
}

.animal-lista a .descricao-lista  {
	color: #333;
}

.contraste .animal-lista a .descricao-lista  {
	color: #fff;
}

.animal-lista .ler-mais-lista {
	padding: 10px;
	display: block;
	font-weight: 600;
	text-align: right;
	text-decoration: none;
	text-transform: uppercase;
}

.contraste .animal-lista .ler-mais-lista {
	text-decoration: underline;
}

/* single */

.animal .wp-post-image {
	width: 100%;
	height: auto;
	margin: 0 auto;
}

.animal .titulo-animal {
	padding: 5px 15px 0;
	font-weight: 600;
	font-size: 32px;
}

.animal .titulo-info { /* mais informações */
	border-top: 1px solid #ccc;
	margin: 1em 0 0.5em;
	padding-top: 20px;
	font-weight: 600;
	font-size: 24px;
}

@media only screen and (min-width: 800px) {

	.animais-conteudo {
		column-count: 2;
		column-gap: 20px;
		/* column-fill: auto; */
	}
	
	.animal-lista {
		display: inline-block;
		column-break-inside: avoid;
	}

	.animal .titulo-animal,
	.animal .descricao-animal,
	.animal #sociais {
		padding-left: 20px;
		padding-right: 20px;
	}

}

@media only screen and (min-width: 1024px) {
	
	.animais-conteudo {
		column-count: 3;
	}

}

/* ----- VÍDEOS ----------------------------------------------------------------- */

.descricao-animal iframe {
	width: 100%;
	height: 300px;
	margin-bottom: 1em;
}

@media only screen and (min-width: 480px) {

	.descricao-animal iframe {
		height: 400px;
	}

}

@media only screen and (min-width: 640px) {

	.descricao-animal iframe {
		height: 500px;
	}

}

@media only screen and (min-width: 800px) {

	.descricao-animal iframe {
		height: 680px;
	}

}

/* ----- PAGINAÇÃO -------------------------------------------------------------- */

.navigation {
	color: #999;
	margin-top: 30px;
	clear: both;
	font-size: 16px;
	text-align: center;
}